Bug 94055 - bug in devel/porttools w/rt unmaintained ports
Summary: bug in devel/porttools w/rt unmaintained ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergei Kolobov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-04 02:30 UTC by Diane Bruce
Modified: 2006-05-02 15:22 UTC (History)
0 users

See Also:


Attachments
file.diff (507 bytes, patch)
2006-03-04 02:30 UTC, Diane Bruce
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diane Bruce 2006-03-04 02:30:10 UTC
Porttools Cc:s freebsd-ports@ for unmaintained ports.  This simply creates
duplicate postings.

Fix: From: Diane Bruce <db@db.net>
To: Mark Linimon <linimon@lonesome.com>
Cc: sergei@FreeBSD.org

On Sun, Feb 26, 2006 at 01:13:36AM -0600, Mark Linimon wrote:
> Please don't Cc: ports@ on PRs.  It just creates duplicate messages.  Thanks.

It's a bug in the port submit tool.
If one changes both the maintainer from ports@FreeBSD.org and updates
the port, it cc's ports@FreeBSD.org anyway.

diff attached as well as here (I know my proxy munges patches)

--
- db@db.net http://www.db.net/~db

--HlL+5n6rz5pIUxbD
Content-Type: text/plain; charset=us-ascii
Content-Disposition: attachment; filename="cmd_submit.diff"



--HlL+5n6rz5pIUxbD----JiTLZu6zJSbU6xQEdVq8hHq8Cnj66cDKI0Ejgd3W2vtRBNUl
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- /usr/local/share/porttools/cmd_submit.ORIG	Sun Feb 26 10:36:38 2006
+++ /usr/local/share/porttools/cmd_submit	Sun Feb 26 11:06:18 2006
@@ -233,7 +233,11 @@
 		NEW_MAINTAINER="`awk '/^\+MAINTAINER/ { print $2; }' ${PATCH}`"
 		if [ "${NEW_MAINTAINER}" != "${OLD_MAINTAINER}" ]
 		then
-			CC="${OLD_MAINTAINER}"
+			if [ "${OLD_MAINTAINER}" != "ports@FreeBSD.org" ]
+			then
+				CC="${OLD_MAINTAINER}"
+                        fi
+
 			case ${NEW_MAINTAINER} in
 			# New maintainer is you
 			${EMAIL})
Comment 1 Edwin Groothuis freebsd_committer 2006-03-04 02:32:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

Over to maintainer
Comment 2 Sergei Kolobov freebsd_committer 2006-05-02 15:22:35 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!